<template>
  <div >
    <headerGranaPadano class="maxwidth"/>    
      <v-container grid-list-md text-xs-center class="maxwidth fullheight">
        <v-layout row wrap align-center>
            <v-flex xs12 sm12 md12>
            <h1 class="mt-5 mb-5">{{ $t('notFound_Label')}}</h1>
                <router-link :to="{name:'Home'}">
                    <button class="mt-5 mb-5 button" type="button">
                            {{ $t('notFound_go_back') }}
                    </button>
                </router-link>
            </v-flex>
        </v-layout>
      </v-container>
    <footerGranaPadano class="maxwidth"/>
  </div>
</template>

<script>
import TheLanguageSwitcher from '@/components/TheLanguageSwitcher'
import info from '@/components/info'
import footerGranaPadano from '@/components/footer'
import headerGranaPadano from '@/components/headerProductLogo.vue'

export default {
  data () {
    return {
      name: 'Notfound'
    }
  },
  methods: {
  },
  mounted () {
    this.$store.dispatch('update_batch', null)
    this.$store.dispatch('update_batchinfo', null)
    this.$store.dispatch('update_delivery_farmer', null)
  },
  components: {
    TheLanguageSwitcher,
    info,
    footerGranaPadano,
    headerGranaPadano
  }
}
</script>

<style scoped>
.fullheight{
    height:84vh;
}
.button {
  background-color: #ffda00;
  color: #000000;
  border: none;
  padding: 8px 32px;
  text-align: center;
  display: inline-block;
  font-size: 1.2rem;
  text-decoration: none;
  border-radius: 1000rem;
  right: 0;
}
a, u{
  text-decoration: none!important;
}

.px-0{
  padding:0px!important;
}
.down-arrow {
  padding: 0px;
  margin: 0px;
  height: 5vw;
}
.bottoneinputtext {
  padding: 1% 5%;
  background-color: white;
  opacity: 0.7;
  border-radius: 1000rem;
  width: 82%;
  min-height: 50px;
  margin-left: auto!important;
  margin-right: auto!important;
}
.align-center {
  margin: auto;
}

.immaginemozzarella {
  width: 90%;
  margin: auto;
}


.inputclass{
  color:black;
  min-height: 50px;
  font-size:1.2rem;
  width: 100%;
}
.button {
  background-color: #fcb042;
  border: none;
  color: white;
  padding: 8px 32px;
  text-align: center;
  display: inline-block;
  font-size: 1.2rem;
  text-decoration: none;
  border-radius: 1000rem;
  right: 0;
}
.scannerizzacodice {
  background-color: #ffffff;
  width: 80%;
  min-height: 50px;
  color:#000000
}

.logo-GranaPadano {
  width: 45%;
}

.main-logo-GranaPadano{
  width: 100%;
}
.bg-image {
  background-image: url("../assets/IMG/IMG_OCR@2x.png");
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  height: 100vh;
  max-width: 700px;
  overflow: hidden;
  color: white!important;
  box-shadow: inset 0 0 0 300px rgba(55,39,40,.6);
}
a {
  color: white;
  text-decoration: none!important ;
}
a:hover{
    text-decoration:none;
    cursor:pointer;
}

::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #9ca4ab;
  opacity: 1; /* Firefox */
}
:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #9ca4ab;
}
::-ms-input-placeholder {
  /* Microsoft Edge */
  color: #9ca4ab;
}
.logo-qr {
  height: 50px;
}
.input_btn {
  position: relative;
  right: 20%;
}
.bg-color-2{
  background-color: #f1efee;
}
span a {
    color: #ffda00!important;
    font-weight: 600;
    text-decoration: none!important;
    }
span a:visited  {
    color: #ffda00!important;
    font-weight: 600;
    text-decoration: none!important;
    }
#readmore {
    color: #ffda00!important;
    padding: 0px;
    border-radius: 999rem;
}
@media (min-width: 768px) {
.bg-image {
  background-image: url("../assets/IMG/IMG_OCR@2x.png");
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  height: 100%;
  overflow: hidden;
  color: white!important;
  box-shadow: inset 0 0 0 300px rgba(55,39,40,.6);

}
}
@media screen and (max-width: 769px) {
  .logo-GranaPadano-section-company{
    width:10%;
  }  
  .inputclass{
    font-size:1.2rem;
  }
}
@media screen and (max-width: 321px) {
  .logo-GranaPadano-section-company{
    width:10%;
  }  
  .inputclass{
    font-size:1rem;
  }
}

</style>